## org.apache.hadoop.record
Interface Index

    public interface Index

Interface that acts as an iterator for deserializing maps. The deserializer returns an instance that the record uses to read vectors and maps. An example of usage is as follows: `Index idx = startVector(...); while (!idx.done()) { .... // read element of a vector idx.incr(); }`

Method Summary
`boolean` `done()`
`void` `incr()`

Method Detail

### done

    boolean done()

### incr

    void incr()

Copyright © 2009 The Apache Software Foundation